#ifndef RDBSERVER_SERVER_H_
#define RDBSERVER_SERVER_H_

#include <cmdbuf.h>
#include <response.h>
#include <stdbool.h>
#include <vb.h>

typedef struct RdbServer {
    VB *sim;
    bool running;
} RdbServer;

void rdb_server_init(RdbServer *srv, VB *sim);
int rdb_server_handle_command(RdbServer *srv, CommandBuf *cmd, RdbResponse *res);
int rdb_server_break(RdbServer *srv, RdbResponse *res);

#endif